﻿@model List<DSOCatalogView>

<div class="row list-group" id="products">

    @foreach (DSOCatalogView mItems in Model)
    {
        <div class="item  col-xs-4 col-lg-3">
            <div class="thumbnail">

                @if (!string.IsNullOrEmpty(mItems.Image.Trim()))
                {
                    <div class="photo_list"><img class="" src="/images/@Path.GetFileName(mItems.Image)" alt="" /></div>
                }
                else
                {
                    <div class="photo_list"><img class="" src="~/Content/img/noimage.gif" alt="" /></div>
                }

                <div class="caption">
                    <div class="thumb_data"><strong>@PurchaseOrders.Code</strong>: @mItems.Code </div>
                    <div class="thumb_data"><strong>@PurchaseOrders.Description</strong>: @mItems.Name </div>
                    <div class="thumb_data">
                        <div class="clear2"></div>
                        <button class="btn btn-success" type="button" data-toggle="modal" onclick="mStartDSOCatalogItems = 0; GetDSOCatalogItems('@mItems.Code'); return false;">@PurchaseOrders.Choose</button>
                    </div>
                </div>
            </div>
        </div>
    }
</div>

<script>
    function GetDSOCatalogItems(pCatalogCode) {
        $("#DSO_Catalog_Code_Actual").val(pCatalogCode);
        mLengthDSOCatalogItems = ($("#PageQtyDSOCatalogItems").val() == undefined ? 10 : Number($("#PageQtyDSOCatalogItems").val()));
        mStartDSOCatalogItems = (mStartDSOCatalogItems <= 0 ? 0 : mStartDSOCatalogItems);
        $('#Loading').modal({
            backdrop: 'static'
        });

        var mToday = new Date();
        $.ajax({
            url: '/Sales/SalesOrder/_GetDSOCatalogItems',
            contextType: 'application/html;charset=utf-8',
            data: { pCatalogCode: pCatalogCode, pCatalogName: "", pCardCode: $("#txtCodeVendor").val(), pIncludeItems: true, pDate: ((mToday.getMonth() + 1) + "/" + mToday.getDate() + "/" + mToday.getFullYear()), pItemCode: $("#DSO_Catalog_Item_Code").val(), pItemName: $("#DSO_Catalog_Item_Name").val(), pItemGroup: $("#DSO_Catalog_Item_Group").val(), pStart: mStartDSOCatalogItems, pLength: mLengthDSOCatalogItems },
            type: 'POST',
            dataType: 'html'
        }).done(function (data) {
            $("#DSOCatalogListSearch").html(data);
            $('#div_dso_items_search_fields').show();

            if (mStartDSOCatalogItems <= 0) {
                $("#PreviousDSOCatalogItems").attr('disabled', 'disabled');
            }
            else {
                $("#PreviousDSOCatalogItems").removeAttr('disabled');;
            }

            if (mStartDSOCatalogItems + mLengthDSOCatalogItems > $("#TotalQuantityDSOCatalogItems").val()) {
                $("#NextDSOCatalogItems").attr('disabled', 'disabled');
            }
            else {
                $("#NextDSOCatalogItems").removeAttr('disabled');;
            }

            $('#Loading').modal('hide');
        });
    }

</script>